Read buffer's data

- « EventBufferEvent::getOutput

- EventBufferEvent::readBuffer »

- PHP Manual
- EventBufferEvent
- Read buffer's data

# EventBufferEvent::read

(PECL event >= 1.2.6-beta)

EventBufferEvent::read — Read buffer's data

### Description

public EventBufferEvent::read( int `$size` ): string

Removes up to `size` bytes from the input buffer. Returns a string of data read from the input buffer.

### Parameters

`size`

  Maximum number of bytes to read

### Return Values

Returns string of data read from the input buffer.

### See Also

- EventBufferEvent::readBuffer() - Drains the entire contents of the input buffer and places them into buf